import 'dart:io';

import 'package:camera/camera.dart';
import 'package:flutter/material.dart';

class Preview extends StatefulWidget {
  Key key;
  List<XFile> listImageFile;
  int indexOfImage;

  Preview({required this.key,required this.listImageFile,required this.indexOfImage}) : super(key: key);

  @override
  _PreviewState createState() => _PreviewState();
}

class _PreviewState extends State<Preview> {
  late PageController _pageController;
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    _pageController = PageController(initialPage: widget.indexOfImage);
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Color(000),
      body: PageView.builder(
          controller:_pageController,
          itemCount:widget.listImageFile.length ,itemBuilder: (context,index)=>
          Column(
            children: [
              InteractiveViewer(
                child: Image(image: FileImage(File(widget.listImageFile[widget.listImageFile.length-index-1].path))),
              ),
              Container(height: 100,
                color: Colors.white,
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    SizedBox(width: 30,),
                    GestureDetector(child: Icon(Icons.done),onTap: (){
                      Navigator.pop(context);
                    },),
                    GestureDetector(onTap:(){
                      widget.listImageFile.removeAt(widget.listImageFile.length-index-1);
                      if(widget.listImageFile.length >0){
                        setState(() {

                        });
                      }
                      else{
                        Navigator.pop(context);
                      }
                    },child: Icon(Icons.delete)),
                    SizedBox(width: 30,),
                  ],
                ),
              )
            ],
          )));
  }
}
